<?php

namespace jrosset\Tests\Commands;

use LogicException;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class FailedHello extends Hello {
    /**
     * @inheritDoc
     */
    public function __construct () {
        parent::__construct('failedHello');
    }

    /**
     * @inheritDoc
     */
    public function checkRequirements (InputInterface $input, OutputInterface $output): void {
        throw new LogicException('The "foo" requirement failed');
    }
}